lzma_sha256_state Struct Reference

State for the internal SHA-256 implementation. More...

`#include <check.h>`

## Data Fields

uint32_t | state [8]
| Internal state. More...
uint64_t | size
| Size of the message excluding padding. More...

## Detailed Description

State for the internal SHA-256 implementation.

## Field Documentation

## state

uint32_t lzma_sha256_state::state[8]

Internal state.

## size

uint64_t lzma_sha256_state::size

Size of the message excluding padding.

The documentation for this struct was generated from the following file:

- liblzma/check/check.h